
%global meadversion 0.2.9
%global namedversion 0.2.9.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%define maven_version 0.2.9.redhat-2

Name:           mchange-commons-java
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        mchange-commons-java library
Group:          Development/Java

%if %with mead
Source100: mchange-commons-java-0.2.9.redhat-2-scm-sources.zip
Source102: mchange-commons-java-0.2.9.redhat-2-project-sources.tar.gz
Source103: mchange-commons-java-0.2.9.redhat-2-javadoc.jar
Source104: mchange-commons-java-0.2.9.redhat-2-sources.jar
Source105: mchange-commons-java-0.2.9.redhat-2.jar
Source106: mchange-commons-java-0.2.9.redhat-2.pom
%endif

License:        LGPLv2.1/EPL 1.0
URL:            https://github.com/swaldman/mchange-commons-java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-parent >= 0:14.0.0
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/mchange-commons-java-%{namedversion}-%{release}-root

%description
A library of arguably useful Java utilities.

%if %with javadoc
%package -n mchange-commons-java-javadoc
Summary:        Javadoc for mchange-commons-java
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n mchange-commons-java-javadoc
%{summary}.
%endif

%prep
%setup -q -n mchange-commons-java -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/mchange-commons-java-%{namedversion}.jar %{buildroot}%{_javadir}/mchange-commons-java-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/mchange-commons-java-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/mchange-commons-java-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/mchange-commons-java-%{namedversion}-sources.jar %{buildroot}%{_javadir}/mchange-commons-java-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/mchange-commons-java-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-mchange-commons-java.pom

# depmaps
%add_to_maven_depmap com.mchange mchange-commons-java %{namedversion} JPP mchange-commons-java
[ %{name} = "mchange-commons-java" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/mchange-commons-java

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/mchange-commons-java-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/mchange-commons-java-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/mchange-commons-java-%{namedversion} -x META-INF/\*
%{__ln_s} mchange-commons-java-%{namedversion} %{buildroot}%{_javadocdir}/mchange-commons-java
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n mchange-commons-java
%update_maven_depmap

%postun -n mchange-commons-java
%update_maven_depmap

%files -n mchange-commons-java
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE-EPL LICENSE-LGPL
%{_javadir}/mchange-commons-java-%{namedversion}.jar
%{_javadir}/mchange-commons-java.jar
%exclude %{_javadir}/mchange-commons-java-%{namedversion}-javadoc.jar
%exclude %{_javadir}/mchange-commons-java-javadoc.jar
%{_javadir}/mchange-commons-java-%{namedversion}-sources.jar
%{_javadir}/mchange-commons-java-sources.jar
%{_mavenpomdir}/JPP-mchange-commons-java.pom
%{_mavendepmapfragdir}/mchange-commons-java

%if %with javadoc
%files -n mchange-commons-java-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/mchange-commons-java-%{namedversion}
%{_javadocdir}/mchange-commons-java
%{_javadir}/mchange-commons-java-%{namedversion}-javadoc.jar
%{_javadir}/mchange-commons-java-javadoc.jar
%endif

%changelog
* Tue Feb 10 2015 David Walluck <dwalluck@redhat.com> - 0.2.9-2.redhat_2.1
- rebuild to update Release tag

* Tue Feb 10 2015 David Walluck <dwalluck@redhat.com> - 0.2.9-1.redhat_2.1
- build rpms

* Thu Jan 29 2015 David Walluck <dwalluck@redhat.com> - 0.2.9-1.redhat_2.1
- 0.2.9

* Thu Jan 29 2015 David Walluck <dwalluck@redhat.com> - 0.2.9-1.redhat_1.1
- 0.2.9

